K先生个人博客

当前位置:首页 > 爱技术 > 正文

vim安装vim-plug报错:Failed connect to raw.githubusercontent.com:443;(拒绝连接)

vim是神器,前提是你需要搭配各种插件,那么这时候你就需要一个插件管理器了,目前较流行的好像就vim-plugBundle了,而Bundlevim-plug要老一些,所以我们选择的vim插件管理器是vim-plug。博主在安装的时候遇到了一个小问题,那就是“拒绝连接”。

根据官网使用下面命令即可安装vim-plug:

curl -fLo ~/.vim/autoload/plug.vim --create-dirs https://raw.githubusercontent.com/junegunn/vim-plug/master/plug.vim

但是却遇到了报错:Failed connect to raw.githubusercontent.com:443; Connection refused;

有问题那就得解决问题,百度一下最后使用了下面方法解决了:

1、打开hosts文件

sudo vim /etc/hosts

2、在hosts文件中添加以下内容

199.232.28.133 raw.githubusercontent.com

3、重新执行vim-plug安装命令

curl -fLo ~/.vim/autoload/plug.vim --create-dirs  https://raw.githubusercontent.com/junegunn/vim-plug/master/plug.vim

vim-plug插件管理器安装成功

看到上面图的时候,说明你的vim-plug插件管理器已经安装好了。

遇到相同问题的朋友,可以试一下这个解决方法。

作者K先生本文地址http://www.gold404.cn/info/70

版权声明:本文为原创文章,版权归 K先生个人博客 所有,欢迎分享本文,转载请保留出处,谢谢!

文章评论

* 必填
可选
可选

评论列表

    暂时还没有评论哦!